Debian Bug report logs - #431086
please support reverse cross build

version graph

Package: gcc-4.2; Maintainer for gcc-4.2 is (unknown);

Reported by: Neil Williams <codehelp@debian.org>

Date: Fri, 29 Jun 2007 15:30:02 UTC

Severity: normal

Tags: patch

Found in version gcc-4.2/4.2-20070627-1

Fixed in version gcc-4.2/4.2-20070707-1

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#431086; Package gcc-4.2. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
New Bug report received and forwarded. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: submit@bugs.debian.org
Subject: please support reverse cross build
Date: Fri, 29 Jun 2007 16:27:02 +0100
[Message part 1 (text/plain, inline)]
Package: gcc-4.2
Version: 4.2-20070627-1
Severity: normal
Tags: patch

On Thu, 28 Jun 2007 14:47:55 +0200
Martin Michlmayr <tbm@cyrius.com> wrote:

> Throughout the development of GCC 4.2, we regularly recompiled the
> entire Debian archive with development snapshots of GCC to make sure
> that we'd end up with a reliable compiler.  We have done regular
> rebuilds on IA64 and AMD64, and we have tested almost every
> architecture at some point during the development phase of 4.2 (the
> exception being hppa and m68k, as well as non-Linux platforms).  We
> now have a compiler with relatively few known issues.

One issue that arose during DebConf7 relates to an upstream behaviour of
gcc that is not working inside the debian packaging code.

Emdebian has been building cross-compiler toolchains for some time but
in order to be able to build all Emdebian packages from source, we need
to be able to cross build gcc, not to provide a cross compiler but to
provide some core libraries - specifically libgcc1 and libstsdc++6-foo
- cross built for a different host.

e.g.
Build=amd64|i386|powerpc
Host=arm
Target=arm

compared to
build=amd64|i386|powerpc
host=amd64|i386|powerpc
target=arm
for a standard cross-compiler.

As host==target this isn't a full canadian cross, more of a reverse
cross.

A normal arm-linux-gnu-gcc etc. toolchain is used to build these
packages.

The attached patches to debian/rules.defs and debian/rules2 provide
support for these builds as well as outline support for a full canadian
cross build.


--- System information. ---
Architecture: amd64
Kernel:       Linux 2.6.21-1-amd64

Debian Release: lenny/sid
  500 unstable        www.linux.codehelp.co.uk 
  500 unstable        www.emdebian.org 
  500 unstable        ftp.uk.debian.org 

--- Package information. ---
Depends                      (Version) | Installed
======================================-+-======================
gcc-4.2-base        (= 4.2-20070627-1) | 4.2-20070627-1
cpp-4.2             (= 4.2-20070627-1) | 4.2-20070627-1
binutils          (>= 2.17cvs20070426) | 2.17cvs20070426-8
libgcc1          (>= 1:4.2-20070627-1) | 1:4.2-20070627-1
libgomp1           (>= 4.2-20070627-1) | 4.2-20070627-1
libc6                       (>= 2.5-5) | 2.5-11




-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

[rules.defs.patch (text/x-diff, attachment)]
[rules2.patch (text/x-diff, attachment)]
[Message part 4 (application/pgp-signature, inline)]

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Neil Williams <codehelp@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 431086-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 431086-close@bugs.debian.org
Subject: Bug#431086: fixed in gcc-4.2 4.2-20070707-1
Date: Sat, 07 Jul 2007 19:47:18 +0000
Source: gcc-4.2
Source-Version: 4.2-20070707-1

We believe that the bug you reported is fixed in the latest version of
gcc-4.2, which is due to be installed in the Debian FTP archive:

cpp-4.2-doc_4.2-20070707-1_all.deb
  to pool/main/g/gcc-4.2/cpp-4.2-doc_4.2-20070707-1_all.deb
cpp-4.2_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/cpp-4.2_4.2-20070707-1_i386.deb
cpp-4.2_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/cpp-4.2_4.2-20070707-1_powerpc.deb
cpp-4.2_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/cpp-4.2_4.2-20070707-1_sparc.deb
fixincludes_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/fixincludes_4.2-20070707-1_i386.deb
fixincludes_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/fixincludes_4.2-20070707-1_powerpc.deb
fixincludes_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/fixincludes_4.2-20070707-1_sparc.deb
g++-4.2-multilib_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/g++-4.2-multilib_4.2-20070707-1_i386.deb
g++-4.2-multilib_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/g++-4.2-multilib_4.2-20070707-1_powerpc.deb
g++-4.2-multilib_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/g++-4.2-multilib_4.2-20070707-1_sparc.deb
g++-4.2_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/g++-4.2_4.2-20070707-1_i386.deb
g++-4.2_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/g++-4.2_4.2-20070707-1_powerpc.deb
g++-4.2_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/g++-4.2_4.2-20070707-1_sparc.deb
gcc-4.2-base_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/gcc-4.2-base_4.2-20070707-1_i386.deb
gcc-4.2-base_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/gcc-4.2-base_4.2-20070707-1_powerpc.deb
gcc-4.2-base_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/gcc-4.2-base_4.2-20070707-1_sparc.deb
gcc-4.2-doc_4.2-20070707-1_all.deb
  to pool/main/g/gcc-4.2/gcc-4.2-doc_4.2-20070707-1_all.deb
gcc-4.2-locales_4.2-20070707-1_all.deb
  to pool/main/g/gcc-4.2/gcc-4.2-locales_4.2-20070707-1_all.deb
gcc-4.2-multilib_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/gcc-4.2-multilib_4.2-20070707-1_i386.deb
gcc-4.2-multilib_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/gcc-4.2-multilib_4.2-20070707-1_powerpc.deb
gcc-4.2-multilib_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/gcc-4.2-multilib_4.2-20070707-1_sparc.deb
gcc-4.2-source_4.2-20070707-1_all.deb
  to pool/main/g/gcc-4.2/gcc-4.2-source_4.2-20070707-1_all.deb
gcc-4.2_4.2-20070707-1.diff.gz
  to pool/main/g/gcc-4.2/gcc-4.2_4.2-20070707-1.diff.gz
gcc-4.2_4.2-20070707-1.dsc
  to pool/main/g/gcc-4.2/gcc-4.2_4.2-20070707-1.dsc
gcc-4.2_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/gcc-4.2_4.2-20070707-1_i386.deb
gcc-4.2_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/gcc-4.2_4.2-20070707-1_powerpc.deb
gcc-4.2_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/gcc-4.2_4.2-20070707-1_sparc.deb
gcc-4.2_4.2-20070707.orig.tar.gz
  to pool/main/g/gcc-4.2/gcc-4.2_4.2-20070707.orig.tar.gz
gfortran-4.2-doc_4.2-20070707-1_all.deb
  to pool/main/g/gcc-4.2/gfortran-4.2-doc_4.2-20070707-1_all.deb
gfortran-4.2-multilib_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/gfortran-4.2-multilib_4.2-20070707-1_i386.deb
gfortran-4.2-multilib_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/gfortran-4.2-multilib_4.2-20070707-1_powerpc.deb
gfortran-4.2-multilib_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/gfortran-4.2-multilib_4.2-20070707-1_sparc.deb
gfortran-4.2_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/gfortran-4.2_4.2-20070707-1_i386.deb
gfortran-4.2_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/gfortran-4.2_4.2-20070707-1_powerpc.deb
gfortran-4.2_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/gfortran-4.2_4.2-20070707-1_sparc.deb
gobjc++-4.2-multilib_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/gobjc++-4.2-multilib_4.2-20070707-1_i386.deb
gobjc++-4.2-multilib_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/gobjc++-4.2-multilib_4.2-20070707-1_powerpc.deb
gobjc++-4.2-multilib_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/gobjc++-4.2-multilib_4.2-20070707-1_sparc.deb
gobjc++-4.2_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/gobjc++-4.2_4.2-20070707-1_i386.deb
gobjc++-4.2_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/gobjc++-4.2_4.2-20070707-1_powerpc.deb
gobjc++-4.2_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/gobjc++-4.2_4.2-20070707-1_sparc.deb
gobjc-4.2-multilib_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/gobjc-4.2-multilib_4.2-20070707-1_i386.deb
gobjc-4.2-multilib_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/gobjc-4.2-multilib_4.2-20070707-1_powerpc.deb
gobjc-4.2-multilib_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/gobjc-4.2-multilib_4.2-20070707-1_sparc.deb
gobjc-4.2_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/gobjc-4.2_4.2-20070707-1_i386.deb
gobjc-4.2_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/gobjc-4.2_4.2-20070707-1_powerpc.deb
gobjc-4.2_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/gobjc-4.2_4.2-20070707-1_sparc.deb
lib64ffi4_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/lib64ffi4_4.2-20070707-1_i386.deb
lib64ffi4_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/lib64ffi4_4.2-20070707-1_powerpc.deb
lib64ffi4_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/lib64ffi4_4.2-20070707-1_sparc.deb
lib64gcc1_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/lib64gcc1_4.2-20070707-1_i386.deb
lib64gcc1_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/lib64gcc1_4.2-20070707-1_powerpc.deb
lib64gcc1_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/lib64gcc1_4.2-20070707-1_sparc.deb
lib64gfortran2_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/lib64gfortran2_4.2-20070707-1_i386.deb
lib64gfortran2_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/lib64gfortran2_4.2-20070707-1_powerpc.deb
lib64gfortran2_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/lib64gfortran2_4.2-20070707-1_sparc.deb
lib64gomp1_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/lib64gomp1_4.2-20070707-1_i386.deb
lib64gomp1_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/lib64gomp1_4.2-20070707-1_powerpc.deb
lib64gomp1_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/lib64gomp1_4.2-20070707-1_sparc.deb
lib64mudflap0_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/lib64mudflap0_4.2-20070707-1_i386.deb
lib64mudflap0_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/lib64mudflap0_4.2-20070707-1_powerpc.deb
lib64mudflap0_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/lib64mudflap0_4.2-20070707-1_sparc.deb
lib64objc2_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/lib64objc2_4.2-20070707-1_i386.deb
lib64objc2_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/lib64objc2_4.2-20070707-1_powerpc.deb
lib64objc2_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/lib64objc2_4.2-20070707-1_sparc.deb
lib64stdc++6-4.2-dbg_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/lib64stdc++6-4.2-dbg_4.2-20070707-1_i386.deb
lib64stdc++6-4.2-dbg_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/lib64stdc++6-4.2-dbg_4.2-20070707-1_powerpc.deb
lib64stdc++6-4.2-dbg_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/lib64stdc++6-4.2-dbg_4.2-20070707-1_sparc.deb
lib64stdc++6_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/lib64stdc++6_4.2-20070707-1_i386.deb
lib64stdc++6_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/lib64stdc++6_4.2-20070707-1_powerpc.deb
lib64stdc++6_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/lib64stdc++6_4.2-20070707-1_sparc.deb
libffi4-dev_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/libffi4-dev_4.2-20070707-1_i386.deb
libffi4-dev_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/libffi4-dev_4.2-20070707-1_powerpc.deb
libffi4-dev_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/libffi4-dev_4.2-20070707-1_sparc.deb
libffi4_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/libffi4_4.2-20070707-1_i386.deb
libffi4_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/libffi4_4.2-20070707-1_powerpc.deb
libffi4_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/libffi4_4.2-20070707-1_sparc.deb
libgcc1_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/libgcc1_4.2-20070707-1_i386.deb
libgcc1_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/libgcc1_4.2-20070707-1_powerpc.deb
libgcc1_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/libgcc1_4.2-20070707-1_sparc.deb
libgfortran2_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/libgfortran2_4.2-20070707-1_i386.deb
libgfortran2_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/libgfortran2_4.2-20070707-1_powerpc.deb
libgfortran2_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/libgfortran2_4.2-20070707-1_sparc.deb
libgomp1_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/libgomp1_4.2-20070707-1_i386.deb
libgomp1_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/libgomp1_4.2-20070707-1_powerpc.deb
libgomp1_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/libgomp1_4.2-20070707-1_sparc.deb
libmudflap0-4.2-dev_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/libmudflap0-4.2-dev_4.2-20070707-1_i386.deb
libmudflap0-4.2-dev_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/libmudflap0-4.2-dev_4.2-20070707-1_powerpc.deb
libmudflap0-4.2-dev_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/libmudflap0-4.2-dev_4.2-20070707-1_sparc.deb
libmudflap0_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/libmudflap0_4.2-20070707-1_i386.deb
libmudflap0_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/libmudflap0_4.2-20070707-1_powerpc.deb
libmudflap0_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/libmudflap0_4.2-20070707-1_sparc.deb
libobjc2_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/libobjc2_4.2-20070707-1_i386.deb
libobjc2_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/libobjc2_4.2-20070707-1_powerpc.deb
libobjc2_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/libobjc2_4.2-20070707-1_sparc.deb
libstdc++6-4.2-dbg_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/libstdc++6-4.2-dbg_4.2-20070707-1_i386.deb
libstdc++6-4.2-dbg_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/libstdc++6-4.2-dbg_4.2-20070707-1_powerpc.deb
libstdc++6-4.2-dbg_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/libstdc++6-4.2-dbg_4.2-20070707-1_sparc.deb
libstdc++6-4.2-dev_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/libstdc++6-4.2-dev_4.2-20070707-1_i386.deb
libstdc++6-4.2-dev_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/libstdc++6-4.2-dev_4.2-20070707-1_powerpc.deb
libstdc++6-4.2-dev_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/libstdc++6-4.2-dev_4.2-20070707-1_sparc.deb
libstdc++6-4.2-doc_4.2-20070707-1_all.deb
  to pool/main/g/gcc-4.2/libstdc++6-4.2-doc_4.2-20070707-1_all.deb
libstdc++6-4.2-pic_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/libstdc++6-4.2-pic_4.2-20070707-1_i386.deb
libstdc++6-4.2-pic_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/libstdc++6-4.2-pic_4.2-20070707-1_powerpc.deb
libstdc++6-4.2-pic_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/libstdc++6-4.2-pic_4.2-20070707-1_sparc.deb
libstdc++6_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/libstdc++6_4.2-20070707-1_i386.deb
libstdc++6_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/libstdc++6_4.2-20070707-1_powerpc.deb
libstdc++6_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/libstdc++6_4.2-20070707-1_sparc.deb
protoize_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/protoize_4.2-20070707-1_i386.deb
protoize_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/protoize_4.2-20070707-1_powerpc.deb
protoize_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/protoize_4.2-20070707-1_sparc.deb
treelang-4.2_4.2-20070707-1_i386.deb
  to pool/main/g/gcc-4.2/treelang-4.2_4.2-20070707-1_i386.deb
treelang-4.2_4.2-20070707-1_powerpc.deb
  to pool/main/g/gcc-4.2/treelang-4.2_4.2-20070707-1_powerpc.deb
treelang-4.2_4.2-20070707-1_sparc.deb
  to pool/main/g/gcc-4.2/treelang-4.2_4.2-20070707-1_sparc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 431086@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-4.2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 07 Jul 2007 10:59:26 +0200
Source: gcc-4.2
Binary: libstdc++6 lib32ffi4 lib64objc2 gfortran-4.2 libgcc1 libobjc2 gcc-4.2-source gcc-4.2-soft-float libgcc2 libgfortran2 protoize gcc-4.2-hppa64 gcc-4.2-locales lib64stdc++6 libffi4 lib64gfortran2 lib64ffi4 lib64gomp1 lib32gcc1 lib32gfortran2 libstdc++6-4.2-dbg libgomp1 gcc-4.2 libgcc4 gcc-4.2-doc g++-4.2 gfortran-4.2-multilib cpp-4.2 libffi4-dev gcc-4.2-base gobjc++-4.2-multilib libstdc++6-4.2-dev gobjc-4.2 lib32mudflap0 libstdc++6-4.2-pic lib32gomp1 lib64gcc1 libstdc++6-4.2-doc lib32stdc++6-4.2-dbg libmudflap0-4.2-dev gobjc++-4.2 fixincludes lib32stdc++6 cpp-4.2-doc treelang-4.2 gcc-4.2-multilib lib32objc2 libmudflap0 g++-4.2-multilib lib64stdc++6-4.2-dbg gfortran-4.2-doc lib64mudflap0 gobjc-4.2-multilib
Architecture: all i386 powerpc source sparc 
Version: 4.2-20070707-1
Distribution: unstable
Urgency: low
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 cpp-4.2    - The GNU C preprocessor
 fixincludes - Fix non-ANSI header files
 g++-4.2    - The GNU C++ compiler
 g++-4.2-multilib - The GNU C++ compiler (multilib files)
 gcc-4.2    - The GNU C compiler
 gcc-4.2-base - The GNU Compiler Collection (base package)
 gcc-4.2-multilib - The GNU C compiler (multilib files)
 gfortran-4.2 - The GNU Fortran 95 compiler
 gfortran-4.2-multilib - The GNU Fortran 95 compiler (multilib files)
 gobjc++-4.2 - The GNU Objective-C++ compiler
 gobjc++-4.2-multilib - The GNU Objective-C++ compiler (multilib files)
 gobjc-4.2  - The GNU Objective-C compiler
 gobjc-4.2-multilib - The GNU Objective-C compiler (multilib files)
 lib64ffi4  - Foreign Function Interface library runtime (64bit)
 lib64gcc1  - GCC support library (64bit)
 lib64gfortran2 - Runtime library for GNU Fortran applications (64bit)
 lib64gomp1 - GCC OpenMP (GOMP) support library (64bit)
 lib64mudflap0 - GCC mudflap shared support libraries (64bit)
 lib64objc2 - Runtime library for GNU Objective-C applications (64bit)
 lib64stdc++6 - The GNU Standard C++ Library v3 (64bit)
 lib64stdc++6-4.2-dbg - The GNU Standard C++ Library v3 (debugging files)
 libffi4    - Foreign Function Interface library runtime
 libffi4-dev - Foreign Function Interface library (development files)
 libgcc1    - GCC support library
 libgfortran2 - Runtime library for GNU Fortran applications
 libgomp1   - GCC OpenMP (GOMP) support library
 libmudflap0 - GCC mudflap shared support libraries
 libmudflap0-4.2-dev - GCC mudflap support libraries (development files)
 libobjc2   - Runtime library for GNU Objective-C applications
 libstdc++6 - The GNU Standard C++ Library v3
 libstdc++6-4.2-dbg - The GNU Standard C++ Library v3 (debugging files)
 libstdc++6-4.2-dev - The GNU Standard C++ Library v3 (development files)
 libstdc++6-4.2-pic - The GNU Standard C++ Library v3 (shared library subset kit)
 protoize   - Create/remove ANSI prototypes from C code
 treelang-4.2 - The GNU Treelang compiler
Closes: 431086
Changes: 
 gcc-4.2 (4.2-20070707-1) unstable; urgency=low
 .
   [Matthias Klose]
   * Update to SVN 20070707 from the ubuntu/gcc-4_2-branch.
     - debian/patches/libjava-soname.dpatch: Remove.
     - debian/patches/disable-configure-run-check.dpatch: Update.
   * Only suggest multilib packages on multilib architectures.
   * Point ICE messages to the 4.2 docdir.
   * Explicitely use fastjar to build gcj-4.1. Addresses: #416001.
   * Configure with --enable-libgcj on m32r (Kazuhiro Inaoka).
   * Include the hppa64 cross compiler on hppa snapshot builds.
   * debian/patches/arm-libffi.dpatch: Update.
   * libgcj-doc: Include the generated documentation.
   * Fix building the libjava/classpath examples.
   * Support reverse cross builds (Neil Williams). Closes: #431086.
Files: 
 039358fe769e5a3c7c28def4798fc9be 221522 libs optional lib64gfortran2_4.2-20070707-1_sparc.deb
 056555b55496d1d9be10775836a5f874 2007982 devel optional treelang-4.2_4.2-20070707-1_sparc.deb
 09657e360b2919486dea092a953576a6 13196 libs optional libgomp1_4.2-20070707-1_powerpc.deb
 0a33e07fdef03c4073525dfa83716e59 261092 devel optional gfortran-4.2-multilib_4.2-20070707-1_i386.deb
 0ae7a60ff6b04edc56e8111907fc6e0c 243434 libs optional lib64gfortran2_4.2-20070707-1_powerpc.deb
 0ef1f5933df575a4e82215def8f7497d 220534 libdevel optional libmudflap0-4.2-dev_4.2-20070707-1_sparc.deb
 11697d17666d28c7dccaa048a0f91f76 532588 libdevel extra libstdc++6-4.2-pic_4.2-20070707-1_powerpc.deb
 11a87ac6ea850532fdc538f9ac0f4e7d 854 devel optional gobjc++-4.2-multilib_4.2-20070707-1_i386.deb
 13c69ed63fc90956698d757b47764c65 52920 devel optional gobjc-4.2-multilib_4.2-20070707-1_sparc.deb
 15f14b9ee539e67bcea82edc071a371c 40242 devel optional protoize_4.2-20070707-1_i386.deb
 17c8d4d90566e3323daf48e681aabe37 47957614 devel optional gcc-4.2-source_4.2-20070707-1_all.deb
 199d335890cc2a754d88e8108b4fd4e1 4461986 libdevel extra libstdc++6-4.2-dbg_4.2-20070707-1_sparc.deb
 1b89b7ab2ef8907d5b46baba87e060e9 1259470 libdevel optional libstdc++6-4.2-dev_4.2-20070707-1_powerpc.deb
 d2ef539a5d770bb9b3f8c3cc8d28afe7 2649 devel standard gcc-4.2_4.2-20070707-1.dsc
 1c3c3d7bae0f797afa727ea3f4cd43ce 22576 libs required libgcc1_4.2-20070707-1_i386.deb
 1d4784d6d6521edb6e5a688d41a62498 11174 libs optional libgomp1_4.2-20070707-1_sparc.deb
 1ec19d69947cd1c0955706537704d8e0 301692 libs optional lib64stdc++6_4.2-20070707-1_i386.deb
 1f4d292f372b0644a10234859bd9b59d 311204 libs required libstdc++6_4.2-20070707-1_i386.deb
 25eecf2af19ad9cfbab6e77f3c091452 2953390 devel optional gobjc++-4.2_4.2-20070707-1_powerpc.deb
 2a9d1ca2241281759bd94be1a64d1caa 2777552 devel optional g++-4.2_4.2-20070707-1_i386.deb
 2d4a0f55e8a037f4b44c0a77796fda0e 860 devel optional gobjc++-4.2-multilib_4.2-20070707-1_powerpc.deb
 2d9b1f6f9c7e84c6ad880490f7812925 2482842 interpreters optional cpp-4.2_4.2-20070707-1_i386.deb
 2f2084fc5a6180fdaf1e307bb53393df 858 devel optional gobjc++-4.2-multilib_4.2-20070707-1_sparc.deb
 33ef4adbc4700e01dfb719c7b0f03256 91936 libs optional lib64mudflap0_4.2-20070707-1_i386.deb
 38245e229d9bdb7df6afefae96e6b747 91438 libdevel optional libffi4-dev_4.2-20070707-1_sparc.deb
 3f1fbb82ca754c38c5ff277192b718e8 3156330 devel optional gfortran-4.2_4.2-20070707-1_powerpc.deb
 48bde68b1f210fac3923aa14c960aa3d 197404 libs optional libgfortran2_4.2-20070707-1_powerpc.deb
 48e978be90408a5070d3962310c47983 268694 devel optional gfortran-4.2-multilib_4.2-20070707-1_powerpc.deb
 4d7c2cbd7aa96293e8b4e7045450e7f1 2440130 devel optional g++-4.2_4.2-20070707-1_sparc.deb
 4f2387ddb0979f296c8ab45f4151b8e6 6873334 libdevel extra lib64stdc++6-4.2-dbg_4.2-20070707-1_sparc.deb
 51a9122e567c99193cab2eb22a7f0050 2777590 devel optional gobjc-4.2_4.2-20070707-1_powerpc.deb
 51a92e4d2b9b95dc918b5815cfb8a95b 96726 libs optional lib64mudflap0_4.2-20070707-1_powerpc.deb
 53dd5dd493a249e2a41c3d79716404d5 301918 libs optional lib64stdc++6_4.2-20070707-1_sparc.deb
 55c6c2ed00a0c26fa2a37247b584ed4e 7570484 libdevel extra lib64stdc++6-4.2-dbg_4.2-20070707-1_powerpc.deb
 55c867cc86fea715c986a7be7f30a6af 2496450 devel optional gobjc-4.2_4.2-20070707-1_i386.deb
 57093a9b076aecdb55e2e8aecb1a1fc6 17478 libs optional lib64ffi4_4.2-20070707-1_powerpc.deb
 582761af0502ee6e3061a77449958503 51766 libs optional lib64objc2_4.2-20070707-1_powerpc.deb
 5cc68b3a1e5733fcb1f95425d9ad3956 30018 libs optional lib64gcc1_4.2-20070707-1_sparc.deb
 5d6699e29a7e30faca8fa7f0c48dd2a3 2664382 devel optional gobjc++-4.2_4.2-20070707-1_i386.deb
 5e45c9ca1d1dbd6ee9f8b4f841c50217 43416 libs optional lib64objc2_4.2-20070707-1_sparc.deb
 6468ddbff6706a1eaff1e438a26d428b 1790928 doc optional gcc-4.2-doc_4.2-20070707-1_all.deb
 64da82e364041f6882309f2fca53e383 210354 libs required gcc-4.2-base_4.2-20070707-1_powerpc.deb
 64fac9218be682b6113fdd95596aa486 39780 libs required libgcc1_4.2-20070707-1_powerpc.deb
 67939408cc2a3e52ddaf588b52bfb2ba 896542 devel optional g++-4.2-multilib_4.2-20070707-1_sparc.deb
 67ed73a9a6f8b493bdf3f0a233ebe9c6 2326810 devel optional gobjc++-4.2_4.2-20070707-1_sparc.deb
 67f11ebe9106a55f6ef83195368dbd21 4698516 libdevel extra libstdc++6-4.2-dbg_4.2-20070707-1_powerpc.deb
 6b464f6045ed331616b97a96bc0b0715 11954 libs optional lib64gomp1_4.2-20070707-1_sparc.deb
 6dcb3dad5d7eb621f659815e1adaaba0 59290 devel optional gobjc-4.2-multilib_4.2-20070707-1_powerpc.deb
 73241caa018dabeda0da5833669cfc69 44084 libs optional lib64gcc1_4.2-20070707-1_powerpc.deb
 775047843cc6c12a7deee0982ec742ac 211872 libdevel optional libmudflap0-4.2-dev_4.2-20070707-1_i386.deb
 796cc34f1a490c860e70751237a5676c 42564 devel optional protoize_4.2-20070707-1_sparc.deb
 7a42065a1224d7dda5a684dd8b44b125 82106 devel optional fixincludes_4.2-20070707-1_powerpc.deb
 7a7e9c4dec9149ab8add6ff5f6eba89d 473640 devel optional gcc-4.2_4.2-20070707-1_i386.deb
 7f256201a1b8399a6d08789eb3ae01e7 25992 libs optional lib64gcc1_4.2-20070707-1_i386.deb
 81cc42e7cc901988f0cca81f4fcac6f6 253364 devel optional gfortran-4.2-multilib_4.2-20070707-1_sparc.deb
 8a734db5e032d4b7bc3eadeb83325559 1179756 devel optional g++-4.2-multilib_4.2-20070707-1_powerpc.deb
 8b92ad6fc11375cbe73312f2999f6a07 42258 libs optional libobjc2_4.2-20070707-1_i386.deb
 8c191ae5351c4ad28c53a2d0f2d0e2f1 468924 libdevel extra libstdc++6-4.2-pic_4.2-20070707-1_i386.deb
 8e49c4a0db70ac2a7421d6ef59e91ec1 25492 libs required libgcc1_4.2-20070707-1_sparc.deb
 91152a60798063be6c33a270fff1dc30 325072 libs required libstdc++6_4.2-20070707-1_sparc.deb
 93a93060675f5fc942ac56f7988ec56d 460884 devel optional gcc-4.2_4.2-20070707-1_sparc.deb
 96067b156a710102afe38f06d99d5221 14908 libs optional lib64gomp1_4.2-20070707-1_powerpc.deb
 9658840a3273d9b627a082b0e8e6ece5 89946 libs optional libmudflap0_4.2-20070707-1_powerpc.deb
 972bfaecb0469c34cc6b786a6a968855 11392 libs optional libgomp1_4.2-20070707-1_i386.deb
 97791dc8c37cb7c55847aaef23df0710 2609660 devel optional treelang-4.2_4.2-20070707-1_powerpc.deb
 9aaecd498b455deb5ab92c37d0edd490 83788 libs optional lib64mudflap0_4.2-20070707-1_sparc.deb
 9c6e7d277f46ef6ce858e95520e5751a 1182516 libdevel optional libstdc++6-4.2-dev_4.2-20070707-1_i386.deb
 9f83f52227b7f9520c3aae32b0478682 80256 libs optional libmudflap0_4.2-20070707-1_sparc.deb
 a1bfb5af9da5c357b718e6e2a5e88b88 47744510 devel standard gcc-4.2_4.2-20070707.orig.tar.gz
 a385743f07c07a5926bb8cdc453c568d 40106 libs optional libobjc2_4.2-20070707-1_sparc.deb
 ac3f7923c5a2ecc1e6b95a63d14e68f8 12814 libs optional lib64gomp1_4.2-20070707-1_i386.deb
 ac6fb0010eccb96d2f4f8c3d9bd750fe 75846 devel optional gcc-4.2-multilib_4.2-20070707-1_powerpc.deb
 ad133433cf9f9f9683ee0a2079383d58 197068 libs optional libgfortran2_4.2-20070707-1_i386.deb
 ad7e7844f6570ae235f4d1fd5051f04b 356600 libs required libstdc++6_4.2-20070707-1_powerpc.deb
 afb83803658b359af70a522d5aa24826 6849482 libdevel extra lib64stdc++6-4.2-dbg_4.2-20070707-1_i386.deb
 afedf6933e2b03b7bd4574e57c5081d4 1192148 libdevel optional libstdc++6-4.2-dev_4.2-20070707-1_sparc.deb
 b202738e83358b93def30dc55fbbb274 10532350 doc optional libstdc++6-4.2-doc_4.2-20070707-1_all.deb
 b326cce282c9b3e97e6d80778a67c3ca 2755830 interpreters optional cpp-4.2_4.2-20070707-1_powerpc.deb
 b6261c23486b48be5aaefd313f4f8f94 2843450 devel optional gfortran-4.2_4.2-20070707-1_i386.deb
 b6d19b7ec06be76220edf770074bb26f 2503906 devel optional gfortran-4.2_4.2-20070707-1_sparc.deb
 b759c31110d1ab11af34c40e2262565b 2137028 interpreters optional cpp-4.2_4.2-20070707-1_sparc.deb
 bb679ea983e45eeed57498bab9761d82 2154148 devel optional gobjc-4.2_4.2-20070707-1_sparc.deb
 bb953c98b91489cd8029f76a3c7ad097 391467 devel standard gcc-4.2_4.2-20070707-1.diff.gz
 be5a8b5687ff42be21f063d24ccecf04 70502 devel optional fixincludes_4.2-20070707-1_sparc.deb
 bf6d9aabbe828f03c80fde2aa6bee5ec 98336 libdevel optional libffi4-dev_4.2-20070707-1_powerpc.deb
 c23442a68c47871ceb8497f8faba3a29 209668 libs required gcc-4.2-base_4.2-20070707-1_i386.deb
 c2a564a5c7b9669d3af2dce46ae9071b 188906 libs optional libgfortran2_4.2-20070707-1_sparc.deb
 c7c1f90b9c2ad47b679307697eee34df 74970 libs optional libmudflap0_4.2-20070707-1_i386.deb
 c89f40f6bb0cb6724f89ba0e131f367d 387592 libs optional lib64stdc++6_4.2-20070707-1_powerpc.deb
 c8fffa4658d9be1deb83ad025bb61fda 87652 libdevel optional libffi4-dev_4.2-20070707-1_i386.deb
 c9050f4a001f82e8fb6f3f1808b3ba99 49234 devel optional protoize_4.2-20070707-1_powerpc.deb
 caa0d93d95dfe8764250ab9bc1425071 3071128 devel optional g++-4.2_4.2-20070707-1_powerpc.deb
 cea550de467bb8594b1748b30d2e4674 210038 libs required gcc-4.2-base_4.2-20070707-1_sparc.deb
 d0db093baa7ec247c0f3b16f70b17c5c 15594 libs optional lib64ffi4_4.2-20070707-1_sparc.deb
 d0e436fa7d876f0b005459d1d57ff26c 184692 doc optional cpp-4.2-doc_4.2-20070707-1_all.deb
 d289d1617360dd1245c4319604730788 43176 libs optional lib64objc2_4.2-20070707-1_i386.deb
 d48dd6119c3e6724208bce4e5186b2d1 238896 libdevel optional libmudflap0-4.2-dev_4.2-20070707-1_powerpc.deb
 d6976062fc1207718cd96a6f2cb918ae 52670 devel optional gobjc-4.2-multilib_4.2-20070707-1_i386.deb
 d99767d98508e85badc7ddd71b17c011 450232 libdevel extra libstdc++6-4.2-pic_4.2-20070707-1_sparc.deb
 da599ee54daa4cbfe0177cfb30af2783 48008 libs optional libobjc2_4.2-20070707-1_powerpc.deb
 dd69ee0350ede9ad273cdcc707195fd1 217838 libs optional lib64gfortran2_4.2-20070707-1_i386.deb
 ddd900473c500c4d535a943de8829bd3 1975320 devel optional gcc-4.2-locales_4.2-20070707-1_all.deb
 e16f7cee3632ce90b9f4992c71df5b5c 997848 devel optional g++-4.2-multilib_4.2-20070707-1_i386.deb
 e1b72d142bce0abc6f4d52d5c3277716 57506 devel optional gcc-4.2-multilib_4.2-20070707-1_i386.deb
 e32b7b02a13dfebe0396d75d93a8e832 59674 devel optional gcc-4.2-multilib_4.2-20070707-1_sparc.deb
 e75fe6aa05c6d0b65e5f2ba79a8ce762 2358506 devel optional treelang-4.2_4.2-20070707-1_i386.deb
 eda248cb102bc6d553dfe656430b0980 15708 libs optional lib64ffi4_4.2-20070707-1_i386.deb
 f36dec872ca012d0e1a548b4a8e447ff 4272662 libdevel extra libstdc++6-4.2-dbg_4.2-20070707-1_i386.deb
 f4b2be46cfec355430a05e81a5b59b54 18294 libs optional libffi4_4.2-20070707-1_powerpc.deb
 f6f0a1ec74c2742fd67362bfded176f6 14116 libs optional libffi4_4.2-20070707-1_sparc.deb
 f730582658e1123ade8a80282fc7a241 84850 devel optional fixincludes_4.2-20070707-1_i386.deb
 f9128891a49a2719ed8c02b4c551538b 215022 doc optional gfortran-4.2-doc_4.2-20070707-1_all.deb
 f9df3bcfa8e78dd26412f11aaf0b4c3c 12476 libs optional libffi4_4.2-20070707-1_i386.deb
 fdf83b5fc18f8250a23e1666b7baf836 510028 devel optional gcc-4.2_4.2-20070707-1_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGj+zSStlRaw+TLJwRAoirAKCZB3wtpaQnhRbKputxWzFFExIi+gCgl06V
EC5AsPAfqW24+9OKFQl28bc=
=p64n
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 09 Aug 2007 07:28:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:45:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.